List of all members
clan::PerlinNoise Class Reference
clanDisplay Display

Perlin Noise Generator class. More...

`#include <perlin_noise.h>`

## Public Member Functions
Construction
| PerlinNoise ()
| Constructor. More...
virtual | ~PerlinNoise ()
| Destructor. More...
Attributes
PixelBuffer | create_noise1d (float start_x, float end_x)
| Create the perlin noise. More...
PixelBuffer | create_noise2d (float start_x, float end_x, float start_y, float end_y)
| Create the perlin noise. More...
PixelBuffer | create_noise3d (float start_x, float end_x, float start_y, float end_y, float z_position)
| Create the perlin noise. More...
PixelBuffer | create_noise4d (float start_x, float end_x, float start_y, float end_y, float z_position, float w_position)
| Create the perlin noise. More...
Size | get_size () const
| Get the size of the output pixelbuffer. More...
TextureFormat | get_format () const
| Get the format of the output pixelbuffer. More...
float | get_amplitude () const
| Get the amplitude of the perlin noise. More...
int | get_octaves () const
| Get the number of octaves of the perlin noise. More...
Operations
void | set_permutations (const unsigned char *table, unsigned int size=256)
| Set the permutation table. More...
void | set_size (int width=256, int height=256)
| Set the size of the output pixelbuffer. More...
void | set_size (const Size &size)
| Set the size of the output pixelbuffer. More...
void | set_format (TextureFormat texture_format=tf_rgb8)
| Set the format of the output pixelbuffer. More...
void | set_amplitude (float amplitude=1.0f)
| Set the amplitude of the perlin noise. More...
void | set_octaves (int octaves=1)
| Set the number of octaves of the perlin noise. More...

## Detailed Description

Perlin Noise Generator class.

The documentation for this class was generated from the following file:

- perlin_noise.h